untrusted comment: signature from openbsd 6.0 base secret key
RWSho3oKSqgLQzuRtZpQhYe60JFjH8HrqNHWcMIM0XsmL1wPGYxPPhyhW7giKRQBnu59zuk/ypIc1CsOhs59FRslAG/Y6KBRbAw=

OpenBSD 6.0 errata 035, August 3, 2017:

An uninitialized variable in sys_ptrace() may result in an info leak.

Apply by doing:
    signify -Vep /etc/signify/openbsd-60-base.pub -x 035_ptrace.patch.sig \
	-m - | (cd /usr/src && patch -p0)

And then rebuild and install a new kernel:
    cd /usr/src/sys/arch/`machine`/conf
    KK=`sysctl -n kern.osversion | cut -d# -f1`
    config $KK
    cd ../compile/$KK
    make
    make install

Index: sys/kern/sys_process.c
===================================================================
RCS file: /cvs/src/sys/kern/sys_process.c,v
--- sys/kern/sys_process.c	31 May 2016 22:34:53 -0000	1.69
+++ sys/kern/sys_process.c	2 Aug 2017 16:27:51 -0000
@@ -101,7 +101,7 @@ sys_ptrace(struct proc *p, void *v, regi
 	register_t wcookie;
 #endif
 	int error, write;
-	int temp;
+	int temp = 0;
 	int req = SCARG(uap, req);
 	int s;
 
